Package com.sun.jna.platform.win32

# Class OaIdl.DECIMAL._DECIMAL2

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.OaIdl.DECIMAL._DECIMAL2

Enclosing class:
  OaIdl.DECIMAL

public static class OaIdl.DECIMAL._DECIMAL2 extends Union

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`OaIdl.DECIMAL._DECIMAL2._DECIMAL2_DECIMAL`

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`OaIdl.DECIMAL._DECIMAL2._DECIMAL2_DECIMAL`
`decimal2_DECIMAL`
`WinDef.ULONGLONG`
`Lo64`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`_DECIMAL2()`
`_DECIMAL2(Pointer pointer)`

## Method Summary

### Methods inherited from class com.sun.jna.Union

`getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### Lo64

public WinDef.ULONGLONG Lo64

### decimal2_DECIMAL

public OaIdl.DECIMAL._DECIMAL2._DECIMAL2_DECIMAL decimal2_DECIMAL

## Constructor Details

### _DECIMAL2

public _DECIMAL2()

### _DECIMAL2

public _DECIMAL2(Pointer pointer)